<template>
    <div class="uk-card uk-card-default uk-width-1-2@m">
        <div class="uk-card-header">
            <div class="uk-grid-small uk-flex-middle" uk-grid>
                <div class="uk-width-expand">
                    <h3 class="uk-card-title uk-margin-remove-bottom">{{ title }}</h3>
                    <p class="uk-text-meta uk-margin-remove-top">
                        <time datetime="2016-04-01T19:00">{{ date }}</time>
                    </p>
                </div>
            </div>
        </div>
        <div class="uk-card-body">
            <p>{{ body }}</p>
            <p>{{ id }}</p>
        </div>
        <div class="uk-card-footer">
            <!--<router-link :to="link.href" class="uk-button uk-button-text">Read more</router-link>-->
            <!--<router-link :to="link.href">Read more</router-link>-->
            <router-link :to="'/post/' + id">Read more</router-link>
        </div>
    </div>
</template>

<script>
    import axios from "axios";

    export default {
        props: {
            title: {
                type: String,
                default: "NULL"
            },
            body: {
                type: String,
                default: "NULL"
            },
            date: {
                type: String,
                default: "NULL"
            },
            id: {
                type: Number
            }
        },
        /*mounted() {
            this.loadPost(this.$route.params.id);
        },*/
        /*methods: {
            loadPost: function(id) {
                axios.get('/api/post/' + id)
                .then(res => {
                    this.post = res.data;
                    setTimeout(()=> {
                        this.loading = false;
                    }, 500);
                })
                .catch(err => {
                    this.not_found = true;
                })
            }
        }*/
        /*data() {
            return {
                link: [
                    {
                        href: '/post/' + this.props.id
                    }
                ]
            }
        }*/
    }
</script>

<style scoped>
</style>
